Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	instrument neutral distributed interface library
Name:		libindi
Version:	0.6
Release:	1
License:	GPL
URL:		http://indi.sourceforge.net
Group:		System/Libraries
Source0:	%{name}0_%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libusb-devel
BuildRequires:  zlib-devel
Obsoletes:	indilib <= %{version}
Provides:	indilib = %{version}

%description
INDI is a distributed control protocol designed to operate astronomical instrumentation. INDI is small, flexible, easy to parse, and scalable. It supports common DCS functions such as remote control, data acquisition, monitoring, and a lot more.

With INDI, you have a total transparent control over your instruments so you can get more science with less time.


%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}
Obsoletes:	indilib-devel <= %{version}
Provides:	indilib-devel = %{version}


%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}0-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} .. -DBUILD_python=off
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%files
%defattr(-,root,root)
%{_bindir}/
%{_libdir}/*.so.*
%{_datadir}/indi/

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/libindi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 12 2009 Christian Metzen <metzench@ccux-linux.de> 0.6-1
- Version update
- rename package to libindi
* Fri Aug 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.5-1
- initial CCux package release
